;InnoSetupVersion=2.0.18

[Setup]
AppName=SpywareGuard
AppVerName=SpywareGuard v2.2
AppId=SpywareGuard
AppVersion=2.2
AppPublisher=Javacool Software LLC
AppPublisherURL=http://www.wilderssecurity.net/
AppMutex=SpywareGuardMU
DefaultDirName={pf}\SpywareGuard
DefaultGroupName=SpywareGuard
OutputBaseFilename=setup
Compression=bzip2
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\sgmain.exe"; DestDir: "{app}"; Components: main; Flags: restartreplace 
Source: "{app}\sgbhp.exe"; DestDir: "{app}"; Components: main; Flags: restartreplace 
Source: "{app}\sgliveupdate.exe"; DestDir: "{app}"; Components: main; 
Source: "{app}\def1.dtb"; DestDir: "{app}"; Components: main; 
Source: "{app}\def2.dtb"; DestDir: "{app}"; Components: main; 
Source: "{app}\dlbdata1.dtb"; DestDir: "{app}"; Components: main; 
Source: "{app}\dlbdata2.dtb"; DestDir: "{app}"; Components: main; 
Source: "{app}\readme.txt"; DestDir: "{app}"; Components: main; 
Source: "{app}\license.txt"; DestDir: "{app}"; Components: main; 
Source: "{app}\spywareguard.dll"; DestDir: "{app}"; Components: main; Flags: restartreplace regserver overwritereadonly 
Source: "{app}\dlprotect.dll"; DestDir: "{app}"; Components: main; Flags: restartreplace regserver overwritereadonly 
Source: "{sys}\MSINET.OCX"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\shellextlib.tlb"; DestDir: "{sys}"; Components: main; Flags: restartreplace regtypelib 
Source: "{sys}\vbshell.tlb"; DestDir: "{sys}"; Components: main; Flags: restartreplace regtypelib 
Source: "{sys}\RICHTX32.OCX"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall regserver sharedfile 
Source: "{app}\sghelp.chm"; DestDir: "{app}"; Components: main; 
Source: "{sys}\stdole2.tlb"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall restartreplace regtypelib sharedfile 
Source: "{sys}\msvbvm60.dll"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\oleaut32.dll"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\olepro32.dll"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\asycfilt.dll"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall restartreplace sharedfile 
Source: "{sys}\comcat.dll"; DestDir: "{sys}"; Components: vb; Flags: uninsneveruninstall restartreplace regserver sharedfile 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Shell Extensions\Approved"; ValueName: "{{81559C35-8464-49F7-BB0E-07A383BEF910}"; ValueType: String; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\ShellExecuteHooks"; ValueName: "{{81559C35-8464-49F7-BB0E-07A383BEF910}"; ValueType: String; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\Browser Helper Objects\{{4A368E80-174F-4872-96B5-0B27DDD11DB2}"; ValueType: String; ValueData: "SpywareGuard Download Protection"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\SpywareGuard"; Flags: uninsdeletekey dontcreatekey 

[Run]
Filename: "{app}\sgmain.exe"; Description: "Start SpywareGuard"; Flags: postinstall nowait

[Icons]
Name: "{group}\SpywareGuard"; Filename: "{app}\sgmain.exe"; 
Name: "{group}\SpywareGuard LiveUpdate"; Filename: "{app}\sgliveupdate.exe"; 
Name: "{userstartup}\SpywareGuard"; Filename: "{app}\sgmain.exe"; 
Name: "{userdesktop}\SpywareGuard"; Filename: "{app}\sgmain.exe"; Tasks: iconondesktop; 
Name: "{userdesktop}\SpywareGuard LiveUpdate"; Filename: "{app}\sgliveupdate.exe"; Tasks: updateiconondesktop; 

[Tasks]
Name: "iconondesktop"; Description: "Put a shortcut to SpywareGuard on the Desktop"; GroupDescription: "Shorcut Options:"; Components: "main"; 
Name: "updateiconondesktop"; Description: "Put a shortcut to SpywareGuard LiveUpdate on the Desktop"; GroupDescription: "Shorcut Options:"; Components: "main"; 

[Components]
Name: "main"; Description: "Main Application"; Types: "full compact custom"; 
Name: "vb"; Description: "Support Files"; Types: "full compact custom"; 

[InstallDelete]
Type: files; Name: "{app}\spywareguardcp.exe"; 
Type: files; Name: "{app}\sgcontrolpanel.exe"; 
Type: files; Name: "{app}\sgmain.exe"; 
Type: files; Name: "{app}\sgliveupdate.exe"; 
Type: files; Name: "{app}\def1.dtb"; 
Type: files; Name: "{app}\def2.dtb"; 
Type: files; Name: "{app}\dlbdata1.dtb"; 
Type: files; Name: "{app}\dlbdata2.dtb"; 
Type: files; Name: "{app}\readme.txt"; 
Type: files; Name: "{app}\license.txt"; 
Type: files; Name: "{app}\spywareguard.dll"; 
Type: files; Name: "{app}\dlprotect.dll"; 
Type: files; Name: "{app}\sgbhp.exe"; 
Type: files; Name: "{app}\sghelp.chm"; 
Type: files; Name: "{app}\config.ini"; 

[UninstallDelete]
Type: files; Name: "{app}\config.ini"; 
Type: files; Name: "{app}\spywareguardversion.txt"; 

[Types]
Name: "full"; Description: "Full installation"; 
Name: "compact"; Description: "Compact installation"; 
Name: "custom"; Description: "Custom installation"; 
